<!DOCTYPE html>
<html lang="{{ .Site.LanguageCode }}">

<head>
    {{ .Hugo.Generator }}
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>{{ block "title" . }}{{ .Title }} | {{ .Site.Title }}{{ end }}</title>

    {{ with .Description }}
    <meta name="description" content="{{ . }}"> {{ end }}
      {{ $default_noindex_kinds := slice "section" "taxonomy" "taxonomyTerm" }}
    {{ $noindex_kinds := .Site.Params.noindex_kinds | default $default_noindex_kinds }}
    {{ $is_noindex_true := and (isset .Params "noindex") .Params.noindex }}
    {{ if or (in $noindex_kinds .Kind) ($is_noindex_true) }}
      <meta name="robots" content="noindex">
    {{ end }}

    {{ partial "meta/name-author" . }}
    {{ template "_internal/opengraph.html" . }}
    {{ partial "meta/ogimage" . }}

    {{ if .IsHome }} {{ partial "site-verification" . }} {{ end }}
    {{ template "_internal/google_analytics_async.html" . }}
    {{ if .RSSLink }}
    <link href="{{ .RSSLink }}" rel="alternate" type="application/rss+xml" title="{{ .Site.Title }}" /> {{ end }}

    <link rel="canonical" href="{{ .Permalink }}"> {{ if (isset .Params "prev") }}
    <link rel="prev" href="{{ .Params.prev }}"> {{ end }} {{ if (isset .Params "next") }}
    <link rel="next" href="{{ .Params.next }}"> {{ end }} {{ partial "favicon" . }}
    <link href="https://use.fontawesome.com/releases/v5.0.6/css/all.css" rel="stylesheet">
    {{ if .Site.Params.theme_variant }}
    <link rel="stylesheet" href="https://jenil.github.io/bulmaswatch/{{.Site.Params.theme_variant}}/bulmaswatch.min.css"> {{else}}
    <link rel="stylesheet" href="/css/bulma.css"/>
    {{end}}
    <link rel="stylesheet" href="/css/landing.css"> {{ block "style" .}} {{end}} {{ $lazylist := findRE "class=\".*?\\blazyload\\b.*?\"|class=lazyload\b" .Content }}
    <!-- http://regexr.com/3f9d1 -->
    {{ if ge (len $lazylist) 1 }}
    <script async src="/js/lazysizes.min.js"></script>
    {{ end }}
    <style>
        @font-face { font-family: basa; src: url('/basas.ttf'); } 
        .basa {
           font-family: basa;
           font-size: 2em;
           text-transform: none;
        }
      </style>
</head>
<!--theme variation-->

<body>
    <header>{{ block "header" . }}{{ end }}</header>
    <main>{{ block "main" . }}{{ end }}</main>
    <footer>{{ block "footer" . }}{{ end }}</footer>

    <script async type="text/javascript" src="/js/bulma.js"></script>
    <script async type="text/javascript"  src="/js/clipboard.min.js"></script>
    <script async type="text/javascript"  src="/js/clip.js"></script>
</body>

</html>
